Subject: Re: [PATCH 4/4] drivers/pci/hotplug: Support surprise hotplug

From: Gavin Shan <[email-masked]>
Date: Wed, 21 Sep 2016 22:20:48 +1000

On Wed, Sep 21, 2016 at 02:08:18PM +1000, Michael Ellerman wrote:
>Gavin Shan <[email-masked]> writes:
>
>> This supports PCI surprise hotplug. The design is highlighted as
>> below:
>>
>>    * The PCI slot's surprise hotplug capability is exposed through
>>      device node property "ibm,slot-surprise-pluggable", meaning
>>      PCI surprise hotplug will be disabled if skiboot doesn't support
>>      it yet.
>>    * The interrupt because of presence or link state change is raised
>>      on surprise hotplug event. One event is allocated and queued to
>>      the PCI slot for workqueue to pick it up and process in serialized
>>      fashion. The code flow for surprise hotplug is same to that for
>>      managed hotplug except: the affected PEs are put into frozen state
>>      to avoid unexpected EEH error reporting in surprise hot remove path.
>>
>> Signed-off-by: Gavin Shan <[email-masked]>
>> ---
>>  arch/powerpc/include/asm/pnv-pci.h |   9 ++
>>  drivers/pci/hotplug/pnv_php.c      | 219 +++++++++++++++++++++++++++++++++++++
>
>Can you please resend this and Cc linux-pci and Bjorn, thanks.
>

Thanks for the tips that I should have followed last time when posting the patches.
This series was resent and Bjorn/linux-pci are copied. Please ignore this copy.

Thanks,
Gavin

>cheers